# Get Evidence

## Get Evidence

<mark style="color:green;">`GET`</mark> `/api/v1/evidence/:uuid?`

Retrieves a list of evidence items.  Calling with no parameters returns a paginated list of all evidence items in your Monolith database.  Use the `uuid` query param to get details for one item or use the `case_uuid` param to get a list of evidence items for one Monolith case.

**Query Params**

| Name             | Type     | Description                                                          |
| ---------------- | -------- | -------------------------------------------------------------------- |
| `uuid`           | string   | Monolith unique identifier for evidence item.                        |
| `evidence_id`    | number   | Monolith unique identifier for evidence item.                        |
| `case_uuid`      | string   | Monolith unique identifier for a Monolith case.                      |
| `case_id`        | number   | Monolith unique identifier for a Monolith case.                      |
| `user_id`        | number   | Unique identifier for a user.                                        |
| `location_id`    | number   | Unique identifier for an evidence location.                          |
| `include_coc`    | boolean  | Attaches chain of custody records to each evidence item as an array. |
| `created_on`     | ISO Date | Date that the evidence was entered into Monolith.                    |
| `created_before` | ISO Date | Evidence items that were created before this Date.                   |
| `created_after`  | ISO Date | Evidence items that were created after this Date.                    |
| `updated_on`     | ISO Date | Evidence items that were created on this Date.                       |
| `updated_before` | ISO Date | Evidence items that were created before this Date.                   |
| `updated_after`  | ISO Date | Evidence items that were created after this Date.                    |
| `intake_date`    | ISO Date | The initial intake date of the evidence.                             |
| `intake_before`  | ISO Date | Evidence items that were initially received before this Date.        |
| `intake_after`   | ISO Date | Evidence items that were initially received after this Date.         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/evidence-api/get-evidence.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
